### A free/open-source library for quantitative finance

Public Member Functions
Redemption Class Reference

Bond redemption. More...

`#include <ql/cashflows/simplecashflow.hpp>`

Inheritance diagram for Redemption:
[legend]

List of all members.

## Public Member Functions

| Redemption (Real amount, const Date &date)
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Bond redemption.

This class specializes SimpleCashFlow so that visitors can perform more detailed cash-flow analysis.